<a href="#" id="delete_{{comment.id}}">Delete</a>
        <form action="{% url 'app:delete_comment' comment.id%}" 
              method="post"
              id="delete_form_{{comment.id}}"
              class="hidden">
              {% csrf_token %}
        </form>
        <script>
          $(document).on('click', '#delete_{{comment.id}}', function(){
            $('#delete_form_{{comment.id}}').submit();
          });
        </script>